<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title th:text="${formAdd}?'Add Article':'Update Article'">Article Managemement System</title>
    <style>
        table {
            width: 100%;
        }
        table, tr, td, th{
            border-collapse: collapse;
            border: 1px solid #333;
            padding: 5px;
        }
        .wrap{
            width: 1200px;
            margin: 0 auto;
        }
        .container{
            display: flex;
            flex-flow: column;
        }
        label {
            width: 100%;
            padding: 10px 0;
            text-transform: uppercase;
            color: #144220;
        }

        input[type="text"] {
            width: 100%;
            font-size: 16px;
            padding: 7px;
            margin-top: 10px;
            border: 1px solid #399e54;
        }

        input[type="submit"] {
            padding: 10px 30px;
            font-size: 15px;
            border: 0;
            background: #338c4b;
            color: #fff;
            cursor: pointer;
        }
        button {
            margin-top: 20px;
            padding: 7px 15px;
            background: #009688;
            border: 0;
        }

        button a {
            text-decoration: none;
            color: #fff;
            font-size: 15px;
        }
        h1 {
            text-align: center;
            text-transform: uppercase;
            color: #3d6f25;
            background: #e2e6e1;
            padding: 5px;
        }

    </style>
</head>
<body>
<div class="wrap">
    <h1>Add new Article</h1>
    <label><button type="button"><a href="/article">Back Home</a></button></label>
        <form th:action="${formAdd}?'/add':'/update'" method="POST">
            <div class="container">
                <label>ID <input type="text" th:field="${article.id}" placeholder="Input Id"/></label>
                <label>Title <input type="text" th:field="${article.title}" placeholder="Input title"/></label>
                <label>Description <input type="text" th:field="${article.description}" placeholder="Input Description"/></label>
                <label>Author <input type="text" th:field="${article.author}" placeholder="Input Author"/></label>
                <label><input type="submit" th:value="${formAdd}?'Save':'Update'"/>
            </div>
        </form>
    </div>
</body>
</html>